"""empty message

Revision ID: d022a5020349
Revises: 
Create Date: 2020-02-05 12:15:09.566814

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "d022a5020349"
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "ingredient",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("name", sa.String(length=255), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_ingredient_name"), "ingredient", ["name"], unique=True)
    op.create_table(
        "receipt",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("name", sa.String(length=255), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_receipt_name"), "receipt", ["name"], unique=True)
    op.create_table(
        "item",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("quantity", sa.Integer(), nullable=True),
        sa.Column("receipt_id", sa.Integer(), nullable=False),
        sa.Column("ingredient_id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(["ingredient_id"], ["receipt.id"],),
        sa.ForeignKeyConstraint(["receipt_id"], ["receipt.id"],),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("item")
    op.drop_index(op.f("ix_receipt_name"), table_name="receipt")
    op.drop_table("receipt")
    op.drop_index(op.f("ix_ingredient_name"), table_name="ingredient")
    op.drop_table("ingredient")
    # ### end Alembic commands ###
